Skip to content

Profile per Store GET

URL: https://api.painelalter.com/api/v2/visitorsProfile/getProfilePerStore?dateBegin=2023-03-17&dateEnd=2023-03-18

Returns visitor age and gender statistics for the specified period, grouped by day and by store.

Query Parameters

ParameterDescription
dateBeginStart date. Format YYYY-MM-DD (Inclusive)
dateEndEnd date. Format YYYY-MM-DD (Inclusive)

Response Example

json
{
    "2023-03-17": {
        "Store 1": {
            "male": {
                "0-18": 9.02,
                "19-40": 18.54,
                "41-60": 1.75,
                "61+": 0
            },
            "female": {
                "0-18": 5.26,
                "19-40": 31.07,
                "41-60": 34.33,
                "61+": 0
            }
        },
        "Store 2": {
            "male": {
                "0-18": 0.76,
                "19-40": 9.95,
                "41-60": 3.52,
                "61+": 0
            },
            "female": {
                "0-18": 21.28,
                "19-40": 44.56,
                "41-60": 15.16,
                "61+": 4.74
            }
        }
    },
    "2023-03-18": {
        "Store 1": {
            "male": {
                "0-18": 9.02,
                "19-40": 18.54,
                "41-60": 1.75,
                "61+": 0
            },
            "female": {
                "0-18": 5.26,
                "19-40": 31.07,
                "41-60": 34.33,
                "61+": 0
            }
        },
        "Store 2": {
            "male": {
                "0-18": 0.76,
                "19-40": 9.95,
                "41-60": 3.52,
                "61+": 0
            },
            "female": {
                "0-18": 21.28,
                "19-40": 44.56,
                "41-60": 15.16,
                "61+": 4.74
            }
        }
    }
}